Generation Framework

## org.eclipse.gmf.mappings.impl
Class AuditContainerImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.mappings.impl.AuditContainerImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, AuditContainer

    public class AuditContainerImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements AuditContainer

An implementation of the model object 'Audit Container'.

The following features are implemented:

- `Id`
- `Name`
- `Description`
- `Parent Container`
- `Audits`
- `Child Containers`

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected org.eclipse.emf.common.util.EList<AuditRule>` `audits` The cached value of the '`Audits`' containment reference list
`protected org.eclipse.emf.common.util.EList<AuditContainer>` `childContainers` The cached value of the '`Child Containers`' containment reference list
`protected java.lang.String` `description` The cached value of the '`Description`' attribute
`protected static java.lang.String` `DESCRIPTION_EDEFAULT` The default value of the '`Description`' attribute
`protected java.lang.String` `id` The cached value of the '`Id`' attribute
`protected static java.lang.String` `ID_EDEFAULT` The default value of the '`Id`' attribute
`protected java.lang.String` `name` The cached value of the '`Name`' attribute
`protected static java.lang.String` `NAME_EDEFAULT` The default value of the '`Name`' attribute

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `AuditContainerImpl()`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` `basicSetParentContainer(AuditContainer newParentContainer, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`org.eclipse.emf.common.util.EList<AuditRule>` `getAudits()`
`org.eclipse.emf.common.util.EList<AuditContainer>` `getChildContainers()`
`java.lang.String` `getDescription()`
`java.lang.String` `getId()`
`java.lang.String` `getName()`
`AuditContainer` `getParentContainer()`
`void` `setDescription(java.lang.String newDescription)`
`void` `setId(java.lang.String newId)`
`void` `setName(java.lang.String newName)`
`void` `setParentContainer(AuditContainer newParentContainer)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### ID_EDEFAULT

    protected static final java.lang.String ID_EDEFAULT

  The default value of the '`Id`' attribute.

  See Also:
    `getId()`
  ** Generated **
  Ordered:

### id

    protected java.lang.String id

  The cached value of the '`Id`' attribute.

  See Also:
    `getId()`
  ** Generated **
  Ordered:

### NAME_EDEFAULT

    protected static final java.lang.String NAME_EDEFAULT

  The default value of the '`Name`' attribute.

  See Also:
    `getName()`
  ** Generated **
  Ordered:

### name

    protected java.lang.String name

  The cached value of the '`Name`' attribute.

  See Also:
    `getName()`
  ** Generated **
  Ordered:

### DESCRIPTION_EDEFAULT

    protected static final java.lang.String DESCRIPTION_EDEFAULT

  The default value of the '`Description`' attribute.

  See Also:
    `getDescription()`
  ** Generated **
  Ordered:

### description

    protected java.lang.String description

  The cached value of the '`Description`' attribute.

  See Also:
    `getDescription()`
  ** Generated **
  Ordered:

### audits

    protected org.eclipse.emf.common.util.EList<AuditRule> audits

  The cached value of the '`Audits`' containment reference list.

  See Also:
    `getAudits()`
  ** Generated **
  Ordered:

### childContainers

    protected org.eclipse.emf.common.util.EList<AuditContainer> childContainers

  The cached value of the '`Child Containers`' containment reference list.

  See Also:
    `getChildContainers()`
  ** Generated **
  Ordered:

Constructor Detail

### AuditContainerImpl

    protected AuditContainerImpl()

  ** Generated **

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `org.eclipse.emf.ecore.impl.EObjectImpl`
  ** Generated **

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in interface `AuditContainer`
  Returns:
    the value of the 'Id' attribute.
  See Also:
    `AuditContainer.setId(String)`, `GMFMapPackage.getAuditContainer_Id()`
  ** Generated **

### setId

    public void setId(java.lang.String newId)

  Specified by:
    `setId` in interface `AuditContainer`
  Parameters:
    `newId` - the new value of the 'Id' attribute.
  See Also:
    `AuditContainer.getId()`
  ** Generated **

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `AuditContainer`
  Returns:
    the value of the 'Name' attribute.
  See Also:
    `AuditContainer.setName(String)`, `GMFMapPackage.getAuditContainer_Name()`
  ** Generated **

### setName

    public void setName(java.lang.String newName)

  Specified by:
    `setName` in interface `AuditContainer`
  Parameters:
    `newName` - the new value of the 'Name' attribute.
  See Also:
    `AuditContainer.getName()`
  ** Generated **

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in interface `AuditContainer`
  Returns:
    the value of the 'Description' attribute.
  See Also:
    `AuditContainer.setDescription(String)`, `GMFMapPackage.getAuditContainer_Description()`
  ** Generated **

### setDescription

    public void setDescription(java.lang.String newDescription)

  Specified by:
    `setDescription` in interface `AuditContainer`
  Parameters:
    `newDescription` - the new value of the 'Description' attribute.
  See Also:
    `AuditContainer.getDescription()`
  ** Generated **

### getParentContainer

    public AuditContainer getParentContainer()

  Specified by:
    `getParentContainer` in interface `AuditContainer`
  Returns:
    the value of the 'Parent Container' container reference.
  See Also:
    `AuditContainer.setParentContainer(AuditContainer)`, `GMFMapPackage.getAuditContainer_ParentContainer()`, `AuditContainer.getChildContainers()`
  ** Generated **

### basicSetParentContainer

    public org.eclipse.emf.common.notify.NotificationChain basicSetParentContainer(AuditContainer newParentContainer,
                                                                                   org.eclipse.emf.common.notify.NotificationChain msgs)

  ** Generated **

### setParentContainer

    public void setParentContainer(AuditContainer newParentContainer)

  Specified by:
    `setParentContainer` in interface `AuditContainer`
  Parameters:
    `newParentContainer` - the new value of the 'Parent Container' container reference.
  See Also:
    `AuditContainer.getParentContainer()`
  ** Generated **

### getAudits

    public org.eclipse.emf.common.util.EList<AuditRule> getAudits()

  Specified by:
    `getAudits` in interface `AuditContainer`
  Returns:
    the value of the 'Audits' containment reference list.
  See Also:
    `GMFMapPackage.getAuditContainer_Audits()`, `AuditRule.getContainer()`
  ** Generated **

### getChildContainers

    public org.eclipse.emf.common.util.EList<AuditContainer> getChildContainers()

  Specified by:
    `getChildContainers` in interface `AuditContainer`
  Returns:
    the value of the 'Child Containers' containment reference list.
  See Also:
    `GMFMapPackage.getAuditContainer_ChildContainers()`, `AuditContainer.getParentContainer()`
  ** Generated **

### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eBasicRemoveFromContainerFeature

    public org.eclipse.emf.common.notify.NotificationChain eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eBasicRemoveFromContainerFeature` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.